Rysunek Roboczy: Obróć wymiar

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft FlipDimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft FlipDimension.svg Rysunek Roboczy: Obróć wymiar

Lokalizacja w menu
Modyfikacja → Obróć wymiar
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Narzędzie Draft FlipDimension.svg Odwróć wymiar przerzuca tekst wymiaru wokół linii wymiarowej o 180°. Można go użyć do korekty wymiarów, których tekst ukazuje się w lustrzanym odbiciu. Polecenie nie działa poprawnie dla wymiarów kątowych.

Użycie

  1. Wybierz jeden lub więcej wymiarów.
  2. Istnieje kilka sposobów, aby wywołać to polecenie:
    • Naciśnij przycisk Draft FlipDimension.svg Odwróć wymiar.
    • Wybierz z menu opcję Modyfikacja → Draft FlipDimension.svg Odwróć wymiar.

Uwagi

Tekst wymiarów posiada również właściwość DaneFlip Text która, gdy ma wartość true, obraca tekst o 180 stopni względem normalnego kierunku. Można to połączyć z działaniem tej komendy.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby odwrócić wymiar należy zmienić jego właściwość Normal.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()